<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class BookBan extends Model
{
    public static function table()
    {
        return 'ig_bookbanned';
    }

	public static function single($className = __CLASS__)
	{
		if (!isset(self::$_self[$className]))
		{
			self::$_self[$className] = new $className;
		}

		return self::$_self[$className];
	}

    public function create($data)
    {
        $sql = 'REPLACE INTO ' . self::table() . ' SET ' . S::sqlSingle($data);
        $this->Db()->query($sql);
    }

    public function isBan($uid, $bookid)
    {
        $check = $this->Db()->getValue('SELECT COUNT(*) FROM '.self::table().' WHERE uid = '.$uid.' AND bookid = 0 OR (bookid = '.$bookid.' AND expiry > '.CTIME.')');

        return $check ? true : false;
    }
}